Bug 187252 - science/hdf5-18: ia64 11-current: build failure: /usr/local/lib/gcc46/libgcc_s.so: could not read symbols: File in wrong format
Summary: science/hdf5-18: ia64 11-current: build failure: /usr/local/lib/gcc46/libgcc_...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-04 10:50 UTC by Anton Shterenlikht
Modified: 2014-03-07 17:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Anton Shterenlikht 2014-03-04 10:50:00 UTC
Building in a poudriere ia64 jail at r262690.
The ports tree is at r347001.

The error:

H5Ztrans.c:1539: warning: will never be executed
  CCLD     libhdf5.la
/usr/local/lib/gcc46/libgcc_s.so: could not read symbols: File in wrong format
*** Error code 1

The full build log:

http://eis.bris.ac.uk/~mexas/logs/hdf5-18-1.8.10.log
Comment 1 Edwin Groothuis freebsd_committer 2014-03-04 10:50:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Anton Shterenlikht 2014-03-06 11:11:00 UTC
fixed in r347176:

http://eis.bris.ac.uk/~mexas/logs/hdf5-18-1.8.10.log

Please close this PR.

Thanks
Comment 3 Eitan Adler freebsd_committer freebsd_triage 2014-03-06 14:22:05 UTC
State Changed
From-To: open->closed

Per submitter request
Comment 4 Tijl Coosemans freebsd_committer 2014-03-06 17:36:16 UTC
Hi Anton,

Can you test this port with the FORTRAN option enabled.  I suspect this
is still a valid PR.
Comment 5 Anton Shterenlikht 2014-03-07 11:21:45 UTC
>From tijl@freebsd.org Thu Mar  6 18:15:44 2014
>
>Hi Anton,
>
>Can you test this port with the FORTRAN option enabled.  I suspect this
>is still a valid PR.
>

Tijl,

You are right:

LD_LIBRARY_PATH="$LD_LIBRARY_PATH`echo -Wl,-rpath=/usr/local/lib/gcc46  -L/usr/local/lib/gcc46 -B/ur/local/bin |                   sed -e 's/-L/:/g' -e 's/ //g'`"                                 ./Hdetect > H5Tinit.c  ||                                (test $HDF5_Make_Ignore && echo "*** Error igored") ||           (rm -f H5Tinit.c ; exit 1)
--- H5lib_settings.c ---
LD_LIBRARY_PATH="$LD_LIBRARY_PATH`echo -Wl,-rpath=/usr/local/lib/gcc46  -L/usr/local/lib/gcc46 -B/ur/local/bin |                   sed -e 's/-L/:/g' -e 's/ //g'`"                                 ./Hmake_libsettings > H5lib_settings.c  ||                                (test $HDF5_Make_Ignore && eho "*** Error ignored") ||           (rm -f H5lib_settings.c ; exit 1)
--- H5Tinit.lo ---
  CC       H5Tinit.lo
H5Tinit.c: In function 'H5TN_init_interface':
H5Tinit.c:958: warning: will never be executed
--- H5lib_settings.lo ---
  CC       H5lib_settings.lo
--- libhdf5.la ---
  CCLD     libhdf5.la
/usr/local/lib/gcc46/libgcc_s.so: could not read symbols: File in wrong format
*** [libhdf5.la] Error code 1

make[4]: stopped in /usr/ports/science/hdf5-18/work/hdf5-1.8.10-patch1/src
1 error

Also, you fixed math/fftw in r347124,
and closed my PR on it,
but I still get the same error,
with ports tree at 347176:

/usr/local/lib/gcc46/libgcc_s.so: could not read symbols: File in wrong format

http://eis.bris.ac.uk/~mexas/logs/fftw-2.1.5_8.log

Shall I reopen the fftw PR?

Finally, note a very similar error in french/med:

/usr/local/lib/gcc46/libgfortran.so: could not read symbols: File in wrong format

http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/187345

Many thanks

Anton
Comment 6 dfilter service freebsd_committer 2014-03-07 17:36:13 UTC
Author: tijl
Date: Fri Mar  7 17:36:05 2014
New Revision: 347410
URL: http://svnweb.freebsd.org/changeset/ports/347410
QAT: https://qat.redports.org/buildarchive/r347410/

Log:
  Add USES=libtool to fix a linker problem when the FORTRAN option is enabled
  on versions of FreeBSD where the base system binutils is too old to link
  object files generated by lang/gcc (gfortran).
  
  PR:		ports/187252

Modified:
  head/science/hdf5-18/Makefile
  head/science/hdf5-18/pkg-plist

Modified: head/science/hdf5-18/Makefile
==============================================================================
--- head/science/hdf5-18/Makefile	Fri Mar  7 17:29:28 2014	(r347409)
+++ head/science/hdf5-18/Makefile	Fri Mar  7 17:36:05 2014	(r347410)
@@ -3,6 +3,7 @@
 
 PORTNAME=	hdf5
 PORTVERSION=	1.8.10
+PORTREVISION=	1
 CATEGORIES=	science archivers graphics
 MASTER_SITES=	http://www.hdfgroup.org/ftp/HDF5/current/src/ \
 		ftp://ftp.hdfgroup.org/HDF5/current/src/ \
@@ -18,6 +19,7 @@ OPTIONS_DEFINE=	DEBUG EXAMPLES FORTRAN S
 
 CONFLICTS_INSTALL=	hdf-4.[0-9]* hdf5-1.6.[0-9]*
 
+USES=		libtool
 USE_BZIP2=	yes
 USE_LDCONFIG=	yes
 GNU_CONFIGURE=	yes

Modified: head/science/hdf5-18/pkg-plist
==============================================================================
--- head/science/hdf5-18/pkg-plist	Fri Mar  7 17:29:28 2014	(r347409)
+++ head/science/hdf5-18/pkg-plist	Fri Mar  7 17:36:05 2014	(r347410)
@@ -126,26 +126,32 @@ lib/libhdf5.la
 lib/libhdf5.settings
 lib/libhdf5.so
 lib/libhdf5.so.7
+lib/libhdf5.so.7.0.4
 lib/libhdf5_cpp.a
 lib/libhdf5_cpp.la
 lib/libhdf5_cpp.so
 lib/libhdf5_cpp.so.7
+lib/libhdf5_cpp.so.7.0.4
 %%FORTRAN%%lib/libhdf5_fortran.a
 %%FORTRAN%%lib/libhdf5_fortran.la
 %%FORTRAN%%lib/libhdf5_fortran.so
 %%FORTRAN%%lib/libhdf5_fortran.so.7
+%%FORTRAN%%lib/libhdf5_fortran.so.7.0.4
 lib/libhdf5_hl.a
 lib/libhdf5_hl.la
 lib/libhdf5_hl.so
 lib/libhdf5_hl.so.7
+lib/libhdf5_hl.so.7.0.4
 lib/libhdf5_hl_cpp.a
 lib/libhdf5_hl_cpp.la
 lib/libhdf5_hl_cpp.so
 lib/libhdf5_hl_cpp.so.7
+lib/libhdf5_hl_cpp.so.7.0.4
 %%FORTRAN%%lib/libhdf5hl_fortran.a
 %%FORTRAN%%lib/libhdf5hl_fortran.la
 %%FORTRAN%%lib/libhdf5hl_fortran.so
 %%FORTRAN%%lib/libhdf5hl_fortran.so.7
+%%FORTRAN%%lib/libhdf5hl_fortran.so.7.0.4
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/README
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/c++/chunks.cpp
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/c++/compound.cpp
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Tijl Coosemans freebsd_committer 2014-03-07 17:39:30 UTC
On Fri, 07 Mar 2014 03:21:45 -0800 (PST) Anton Shterenlikht wrote:
> >From tijl@freebsd.org Thu Mar  6 18:15:44 2014
> >
> >Hi Anton,
> >
> >Can you test this port with the FORTRAN option enabled.  I suspect this
> >is still a valid PR.
> >
> 
> Tijl,
> 
> You are right:
> 
> LD_LIBRARY_PATH="$LD_LIBRARY_PATH`echo -Wl,-rpath=/usr/local/lib/gcc46  -L/usr/local/lib/gcc46 -B/ur/local/bin |                   sed -e 's/-L/:/g' -e 's/ //g'`"                                 ./Hdetect > H5Tinit.c  ||                                (test $HDF5_Make_Ignore && echo "*** Error igored") ||           (rm -f H5Tinit.c ; exit 1)
> --- H5lib_settings.c ---
> LD_LIBRARY_PATH="$LD_LIBRARY_PATH`echo -Wl,-rpath=/usr/local/lib/gcc46  -L/usr/local/lib/gcc46 -B/ur/local/bin |                   sed -e 's/-L/:/g' -e 's/ //g'`"                                 ./Hmake_libsettings > H5lib_settings.c  ||                                (test $HDF5_Make_Ignore && eho "*** Error ignored") ||           (rm -f H5lib_settings.c ; exit 1)
> --- H5Tinit.lo ---
>   CC       H5Tinit.lo
> H5Tinit.c: In function 'H5TN_init_interface':
> H5Tinit.c:958: warning: will never be executed
> --- H5lib_settings.lo ---
>   CC       H5lib_settings.lo
> --- libhdf5.la ---
>   CCLD     libhdf5.la
> /usr/local/lib/gcc46/libgcc_s.so: could not read symbols: File in wrong format
> *** [libhdf5.la] Error code 1
> 
> make[4]: stopped in /usr/ports/science/hdf5-18/work/hdf5-1.8.10-patch1/src
> 1 error

This should work now as of r347410.

> Also, you fixed math/fftw in r347124,
> and closed my PR on it,
> but I still get the same error,
> with ports tree at 347176:
> 
> /usr/local/lib/gcc46/libgcc_s.so: could not read symbols: File in wrong format
> 
> http://eis.bris.ac.uk/~mexas/logs/fftw-2.1.5_8.log
> 
> Shall I reopen the fftw PR?

I committed a fix, so now it should really work.

> Finally, note a very similar error in french/med:
> 
> /usr/local/lib/gcc46/libgfortran.so: could not read symbols: File in wrong format
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/187345

Still have to look into this.